 
PC
                                                                                                                  

C     DER PERSOENLICHE KLEINKREDIT

C     AUFGRUND DER KREDIT-SUMME IN DM D,

C     DER LAUFZEIT IN MONATEN M,

C     DER ZINSEN IN % PRO MONAT Z UND 

C     DER BEARBEITUNGSGEBUEHR IN % B  

C     ERFOLGT DIE BERECHNUNG VON RUECKZAHLUNG U. KOSTEN 

C 

      WRITE (13,1)

1     FORMAT ('BERECHNUNG VON RUECKZAHLUNG UND KOSTEN ',/,

     *'FUER EINEN PERSOENLICHEN KLEINKREDIT',/, 

     *'=========================================')

      WRITE (13,2)

2     FORMAT ('KREDIT-SUMME IN DM =') 

      READ (13,3) D 

3     FORMAT (FF) 

      WRITE (13,4)

4     FORMAT ('LAUFZEIT IN MONATEN =')

      READ (13,3) M 

      WRITE(13,5) 

5     FORMAT ('ZINSEN IN % PRO MONAT =')

      READ (13,3) Z 

      WRITE (13,6)

6     FORMAT ('BEARBEITUNGSGEBUEHR IN % =') 

      READ (13,3) B 

      WRITE (13,10) 

10    FORMAT (5/,'BERECHNUNG VON RUECKZAHLUNG UND KOSTEN',

      AM = M

      Z1 = (Z*AM*D)/100.

      WRITE (13,11) Z1

11    FORMAT ('ZINSEN IN DM ........',F8.2) 

      G = (B*D)/100.

      WRITE (13,12) G 

12    FORMAT ('GEBUEHREN IN DM .....',F8.2) 

      DG = D+Z1+G 

      WRITE (13,13) DG

13    FORMAT (2/,'GESAMT-SCHULD .......',F8.2,' DM')  

      R = DG/AM 

      WRITE (13,14) M,R 

14    FORMAT (2/,'RUECKZAHLUNG IN ',I3,' GLEICHEN RATEN',/, 

     *'VON .............',F8.2,' DM') 

      SD = (D+D/AM)/2.

      ZD = Z*D*12./100. 

      GD = G*12.0/AM

      ZE = ((ZD+GD)*100.0)/SD 

      WRITE (13,15) ZE

15    FORMAT (3/,'DER EFFEKTIV-ZINS IST  ',F8.2,' %') 

      END 
                                 